#!/usr/bin/env python

from distutils.core import setup

import snob

setup( name = "Little-Snob",
       version = snob.__version__,
       author = "Paul Harrison",
       author_email = "pfh at logarithmic dot net",
       url = "http://www.logarithmic.net/pfh/Little_Snob",
       license = "GPL",
       description = "A simple library for unsupervised classification of data.",
       long_description = 
"""A re-implementation of the C "Vanilla-Snob" MML
mixture-modeller by Chris Wallace. Little Snob is a
library for unsupervised classification of a set of data
into classes. It can handle continuous or discrete data,
and is capable of determining the optimal number of classes
to use on its own.

Little Snob is considerably shorter than the original,
as a result of being written in Python. The source code
is also more readable. The aim is to provide a convenient
MML library for integration into other software.

Little Snob has not yet been extensively tested, but
results so far seem to match the original quite well,
despite some differences in strategy.""",
       py_modules=["snob"] )


